# Class Format

java.lang.Object
com.codename1.l10n.Format

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `DateFormat`

public abstract class Format extends Object implements Cloneable
An abstract class for parsing and formatting localisation sensitive information, compatible with JDK 6.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Format()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `format(Object source)`
  Format an object.
  `abstract Object`
  `parseObject(String source)`
  Parse a string to an object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Format

    public Format()

- ## Method Details

  - ### format

    public abstract String format(Object source) throws IllegalArgumentException

    Format an object.

    ###### Parameters

    - `source`: object to be formatted to text.

    ###### Returns

    formatted text.

    ###### Throws

    - `IllegalArgumentException`: if the source can not be formatted.
    Throws:
      `IllegalArgumentException`

  - ### parseObject

    public abstract Object parseObject(String source) throws ParseException

    Parse a string to an object.

    ###### Parameters

    - `source`: document to be parsed.

    ###### Returns

    parsed object.

    ###### Throws

    - `ParseException`: if the source could not be parsed.
    Throws:
      `ParseException`